Zezhou Li Zezhou Li - 2 months ago 8x
Linux Question

Error installing ros map_server

When I try to install map_server on ROS, it occurred errors like the following:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
ros-hydro-map-server : Depends: ros-hydro-roscpp but it is not going to be installed
Depends: ros-hydro-rostest but it is not going to be installed
Depends: ros-hydro-tf but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

How am I supposed to solve it?


Can you be more specific ? like which commands did you try, which ROS version are you using etc... Also, it looks like something happened to your installation if you have a ROS Hydro version, I recommend reinstalling it :

sudo apt-get remove ros-*
sudo apt-get install ros-#your_distro#-desktop-full

That will probably fix your error (again if you are using ROS Hydro). Cheers,